package com.pmc.loganalysis.task;

import com.pmc.loganalysis.service.SmsPushsysService;
import com.pmc.loganalysis.util.DateUtils;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.scheduling.annotation.EnableAsync;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import java.util.Date;

/**
 * 定时任务
 * @description 
 */
@EnableAsync
@Component
@EnableScheduling
@Slf4j
public class FiveIndexMonitorTask {


    @Value("${before-minute}")
    Integer beforeminutes;

    @Resource
    SmsPushsysService smsPushsysService;

    /**
     * 定时统计当前时间之前一分钟内的数据统计
     */
    @Scheduled(cron = "${springTiming.monitor1-min-time}")
    public void StatisticsTravelCardDaily() {
        //获取现在时间（开始时间）
        Date nowDate = new Date ();
        //获取当前时间的前一分钟
        Date startDate = DateUtils.getDate(nowDate,beforeminutes);
        String startTime   = DateUtils.getDateStringYMDHMS(startDate,DateUtils.DATE_TIME_PATTERN);
        String startTimestr   = DateUtils.getDateStringYMDHMS(startDate,DateUtils.DATE_YYYYMMDDHHMMSS);
        Date endDate = DateUtils.getDate(nowDate,-1);
        String endTime = DateUtils.getDateStringYMDHMS(endDate,DateUtils.DATE_TIME_PATTERNS);
        String endTimestr = DateUtils.getDateStringYMDHMS(endDate,DateUtils.DATE_YYYYMMDDHHMMSS);
        smsPushsysService.pushTravelCardByMinRate(startTime,endTime,startTimestr,endTimestr);
    }





}

